import trafaret as t
from core.decorators import api_resource
from core.resource import ModelResource

from . import blog
from .models import BlogPost


@api_resource(blog, 'posts', {'id': int})
class PostResource(ModelResource):
    model = BlogPost

    validation = t.Dict({
        'title': t.String,
        'content': t.String,
        'author_id': t.Int,
    }).ignore_extra('*')

    filters_map = t.Dict({
        'author_id': t.Int(gt=0)
    }).make_optional('*').ignore_extra('*')

