from flask.ext.babel import gettext as _
from flask.ext.wtf import (Form, TextField, TextAreaField, FileField, Required,
                           Length)


class PostForm(Form):
    title = TextField(_('Post title'), [
                        Required(message=_('Title not provided')),
                        Length(min=6, max=128)])
    poster = FileField(_('Poster'))
    content = TextAreaField(_('Post content'), [
                Required(message=_("You forgot to write the text"))])
