from flask.ext.babel import Babel, gettext, ngettext
from flask.ext.sqlalchemy import SQLAlchemy
from flask.ext.security import Security
from flask.ext.mail import Mail

db = SQLAlchemy()
mail = Mail()

babel = Babel()

from auth import user_datastore

security = Security(datastore=user_datastore)


def register_jinja_helpers(app):
    app.jinja_env.globals.update({
        '_': gettext,
        '__': ngettext
    })
