#!/usr/bin/env python
from flask.ext.script import Manager
from flask.ext.security.script import (CreateUserCommand, CreateRoleCommand,
    AddRoleCommand, RemoveRoleCommand, DeactivateUserCommand,
    ActivateUserCommand)

from application import app
from core.script import InitDatabaseCommand


def main():
    manager = Manager(app)
    manager.add_command('create_user', CreateUserCommand())
    manager.add_command('create_role', CreateRoleCommand())
    manager.add_command('add_role', AddRoleCommand())
    manager.add_command('remove_role', RemoveRoleCommand())
    manager.add_command('activate', ActivateUserCommand())
    manager.add_command('deactivate', DeactivateUserCommand())
    manager.add_command('init_db', InitDatabaseCommand())
    manager.run()


if __name__ == '__main__':
    main()
