import os
from datetime import datetime


rel = lambda *x: os.path.join(os.path.abspath(os.path.dirname(__file__)), *x)
today_path = lambda: '{:%Y/%m/%d}'.format(datetime.utcnow())


class BaseConfig(object):

    EXTENSIONS = [
        'extensions.db',
        'extensions.babel',
        'extensions.mail',
        'extensions.security',
    ]

    BLUEPRINTS = [
        'blog.blog'
    ]

    DEBUG = True
    # SERVER_NAME = "testblog.local"

    UPLOADED_POSTERS_DEST = rel('uploads/posters/{}'.format(today_path()))

    BABEL_DEFAULT_LOCALE = 'en'
    BABEL_DEFAULT_TIMEZONE = 'Europe/Kiev'

    SECRET_KEY = '09fc2160442f4b9ab0beb96ad985ca44'
    SQLALCHEMY_DATABASE_URI = "postgresql://nimnull@127.0.0.1:5432/blog"
    # SQLALCHEMY_ECHO = True

    SECURITY_PASSWORD_HASH = 'sha512_crypt'
    SECURITY_PASSWORD_SALT = 'pepper'
    SECURITY_EMAIL_SENDER = 'please-reply@testblog.com'
    SECURITY_UNAUTHORIZED_VIEW = '/login'

    # Specifies if users are required to confirm their email address when
    # registering a new account.
    SECURITY_CONFIRMABLE = True

    # Specifies if Flask-Security should create a user registration endpoint.
    SECURITY_REGISTERABLE = True

    # Specifies if Flask-Security should create a password reset/recover
    # endpoint.
    SECURITY_RECOVERABLE = True

    DEFAULT_MAIL_SENDER = SECURITY_EMAIL_SENDER
    MAIL_SERVER = '127.0.0.1'
    MAIL_PORT = 25
